export default class PrismRPGLoot extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const requiredInteger = { required: true, nullable: false, integer: true }
    const schema = {}

    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    schema.encLoad = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 })
    schema.cost = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 })
    schema.notes = new fields.HTMLField({ required: true })
    schema.containerId = new fields.StringField({ required: false, initial: "", nullable: false })

    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["PRISMRPG.Loot"]
}
